Ingest events (dry-run)
1 min
POST
https://app.amberflo.io/ingest/dry-run
Body Parameters
- bodyingestion.IngestMessage.in[]
- uniqueIdstringDescription
- meterApiNamestringDescription
- meterValuenumberDescription
- meterTimeInMillisinteger<int64>requiredDescription
- customerIdstringrequiredDescription
- dimensionsmap<string, string>Description
- variantsingestion.IngestMessage.Variant.in[]Description
- meterApiNamestringDescription
- meterValuenumberDescription
- dimensionsmap<string, string>Description
- valuesmap<string, number>Description
Responses
200
- ingestion.IngestMessage.out[]
- uniqueIdstringDescription
- meterApiNamestringDescription
- meterValuenumberDescription
- meterTimeInMillisinteger<int64>requiredDescription
- customerIdstringrequiredDescription
- dimensionsmap<string, string>Description
- variantsingestion.IngestMessage.Variant.out[]Description
- meterApiNamestringDescription
- meterValuenumberDescription
- dimensionsmap<string, string>Description
- valuesmap<string, number>Description
curl
curl --request POST \
--url https://app.amberflo.io/ingest/dry-run \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '[
{
"meterTimeInMillis": 0,
"customerId": ""
}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify([
{
"meterTimeInMillis": 0,
"customerId": ""
}
]);
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/ingest/dry-run", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/ingest/dry-run")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump([
{
"meterTimeInMillis": 0,
"customerId": ""
}
])
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/ingest/dry-run"
payload = json.dumps([
{
"meterTimeInMillis": 0,
"customerId": ""
}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
[
{
"uniqueId": "",
"meterApiName": "",
"meterValue": 0,
"meterTimeInMillis": "",
"customerId": "",
"dimensions": "",
"variants": [
{
"meterApiName": "",
"meterValue": 0,
"dimensions": ""
}
],
"values": ""
}
]Use this endpoint to see how your ingest payload will be processed before ingestion.
Useful to validate custom ingestion schemas and multi-valued records.